Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 08/23/2021 in all areas

  1. There are a couple of other ways to get current view settings without out user input. (setq vc (getvar 'viewctr)) (setq sz (getvar 'viewsize)) (vl-propagate 'vc) (vl-propagate 'sz) ; other dwg (command "zoom" "C" vc sz)
    2 points
  2. This isn't enough code to help you. it has several unknown variables #erad, eins, f, ipt, dtor #pdia and a unknown function dtor
    1 point
  3. Their is no source folder your downloading the file directly off the internet. have the lisp loaded and type this. (GETFILEURL "https://damassets.autodesk.net/content/dam/estore/customer-service/AutoCAD_Shortcuts_11x8.5_MECH-REV.pdf" (getvar 'dwgprefix)) It will save the "AutoCAD_Shortcuts_11x8.5_MECH-REV.pdf" in your current drawing folder If you want to save it to another location (GETFILEURL "https://damassets.autodesk.net/content/dam/estore/customer-service/AutoCAD_Shortcuts_11x8.5_MECH-REV.pdf" "C:\\data\\") C:\data\AutoCAD_Shortcuts_11x8.5_MECH-REV.pdf Downloaded But like i said before this seem like its taking 4 steps to save a file that you could do in one step with your browser.
    1 point
  4. All in one command. Defaults to "No" so you can just hit enter if you don't want to redefine. was trying to do something with setenv & getenv but you can only save strings. then ran across @pBe propagate 100% simpler. then @BIGAL made it even better! ;;----------------------------------------------------------------------------;; ;; Zoom Area Across Multiple Drawings (defun C:ZA (/ a) (initget "Yes No") (setq a (cond ((getkword "\nRedefine Zoom Area? [Yes/No]: ")) ("No"))) (if (= "Yes" a) (progn (vl-cmdf "_.Zoom" "W" Pause Pause) (setq vc (getvar 'viewctr)) (setq SZ (getvar 'viewsize)) (vl-propagate 'vc) (vl-propagate 'sz) ) (if (or (= vc nil) (= sz nil)) (prompt "\nPlease Define Zoom Area") (vl-cmdf "_.Zoom" "C" VC SZ) ) ) (princ) )
    1 point
  5. Lots of code out there for importing views from other drawing search Google for "import view AutoLisp" Depending on your workflow if a drawing with saved views was used to create the other drawings they would all have those saved views.
    1 point
  6. There may be only three different radiuses, but they are NOT tangential according to the drawing provided. Did they not tell you about the discontinuities? Is it too much to hope that you will tell us when you know?
    1 point
×
×
  • Create New...